Bugfix for 4417: Missing dependency in NUPKG-file generated from project if indirect dependency already exists with a lower version requirement

Topics: General
Jan 15, 2015 at 9:22 PM
Edited Jan 15, 2015 at 9:31 PM
Hello NuGet-team!
I've run into the issue and found a solution the problem.

The issue can be solved by only removing a project dependency from the minimum set if it does not have a more specific version requirement than an indirect dependency on the same package.

There is also the bugfix branch for this issue (and a pull request):
https://nuget.codeplex.com/SourceControl/network/forks/MichaelKetting/dev?branch=bugfix/4417-minimaldependencies

I hope this solution works for the team and that the changes introduced can also be back-ported for the 2.8.4 release.

Best regards, Michael